import { Component, HostListener, ViewChild } from "@angular/core";
import { NavbarComponent } from "./gui/navbar/navbar.component";

@Component({
  selector: "app-root",
  templateUrl: "./app.component.html",
  styleUrls: ["./app.component.scss"]
})
export class AppComponent {
	title = "cavallium-website";

	@ViewChild("navbar") navbar: NavbarComponent;

	@HostListener("scroll", ["$event"])
	handleScroll(event: Event) {
		this.navbar.onParentScroll(event);
	}
}
